> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/tossauth/tossauth.login.md).

# TossAuth.login

> 函数式 API `appLogin`也可以用来使用相同功能。

### 功能说明

使用 Toss 认证登录。登录完成后会再次跳转到 Toss 应用。返回的 `authorizationCode`和 `referrer`将其传给服务器，继续进行登录处理即可。

### 类型

```ts
TossAuth.login(): Promise<AppLoginResponse>;
```

**参数**

无

**响应**

```ts
type AppLoginResponse = {
  authorizationCode: string;
  referrer: "DEFAULT" | "SANDBOX";
};
```

### 示例代码

```js
import { TossAuth } from "@apps-in-toss/web-framework";

const button = document.querySelector("#login-button");

button.addEventListener("click", async () => {
  try {
    const { authorizationCode, referrer } = await TossAuth.login();
    // 将 authorizationCode 和 referrer 传给服务器
  } catch (error) {
    console.error(error);
  }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/tossauth/tossauth.login.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
